{       
{% if sec_region is defined %}
        "region": "{{ sec_region }}",
{% endif %}
{% if sec_region is not defined %}
	"region": "{{ region }}",
{% endif %}
{% if sec is defined %}
        "node": "{{ node_id|int + 1  }}",
{% else %}
	"node": "{{ node_id }}",
{% endif %}
	"server": "0.0.0.0",
	"server_port": 8388,
	"password": "58Ssd2nn95",
	"method": "aes-256-cfb",
	"timeout": 600,
	"type":"1",
	"proxy_config": {
		"proxy_list": [
{% if sec is defined and sec_opposite_ip is defined%} 
                        "{{ sec_opposite_ip }}|443|chacha20-ietf-poly1305|a564FDSOisdf"
{% elif opposite_ip and sec is not defined %}
                        "{{ opposite_ip }}|443|chacha20-ietf-poly1305|a564FDSOisdf"
{% endif %}
		],
		"retry_interval": 60,
		"retry_url": "https://twitter.com",
		"failed_threshold": 0.6,
		"failed_least_count": 5
	},
	"account_check": true,
	"api": {
		"addr": ":8389",
		"https": false,
		"cert_file": "cert.pem",
		"key_file": "key.pem",
		"auth": "asdf1234",
		"routers": {
			"/statistics": {
				"handler": "statistics",
				"option": ""
			},
			"/acc": {
				"handler": "acc",
				"option": ""
			},
			"/dnsrequest": {
				"handler": "dnsrequest",
				"option": ""
			},
			"/proxy_status": {
				"handler": "proxy_status",
				"option": ""
			}
		},
		"client_ip": [
			"127.0.0.1"
		]
	},
	"log": {
		"level": 5,
		"o_file": "",
		"o_std": false,
		"hide_category": {
			"remoteapi": true,
			"ss-stream-detail": false,
			"ulitily": false,
			"auth": true
		}
	},
	"stream": {
		"record_dns_request": true
	},
	"capture": {
		"dnsquery": true,
		"socks5domain": true
	},
	"remote_api":{
 "token":"EYRG87P6LjZe7Q9nf9X9",
    "host_addr":{
      "region":"https://wongderf.xyz",
      "cache_gate":"https://cache-pool.qhisec.xyz:7788"
    },
    "router":{
      "api_auth":{
        "host":"region",
        "path":"/api/proxy/v1/authenticate"
      },
      "upload_account_connection_info": {
        "host": "cache_gate",
        "path": "/putdata"
      },
      "upload_online_count": {
        "host": "region",
        "path": "/api/proxy/v1/nodes/record_online_users"
      },
      "upload_user_flow_bytes": {
        "host": "region",
        "path": "/api/proxy/v1/users/inspect_expiration"
      },
      "query_ip": {
        "host": "region",
        "path": "/api/proxy/v1/remote_ip"
      },
	  "limit_speed":{
        "host": "region",
        "path": "/api/proxy/v1/nodes/limit_speed"
      }
    }
  },
	"parameters": {
		"user_maintaince_interval_second": "600s",
		"online_user_timeout_second": "300s",
		"registry_interval_second": "300s",
		"registry_ttl": "350"
	}
}

